# Shapes.  Show 2D shapes (Line, Circle, image)

from java.awt import Font,BasicStroke,Color
from java.util import Random
from jhplot import HLabel, HPlot 
from jhplot.shapes  import Line, Arrow,Circle,Text,Rectan,Ellipse


# make empty canvas in some range
c1 =HPlot("Canvas",600,400)
c1.setGTitle("HShape package to draw Java 2D objects")
c1.setLegend(0)
c1.setNameX("X")
c1.setNameY("Y")
c1.setRange(-4.0, 4.0, 1.0, 20.0)
c1.setLogScale(1,1)
c1.visible(1)

tex=  Text("This is a text",-2.4, 12)
c1.add(tex)

# set HLabel in the USER coordinate system
lab=HLabel("HLabel in USER", -2, 5);
c1.add(lab);


# set HLabel in the normilised coordinate system
lab=HLabel("HLabel in NDC", 0.5, 0.5, "NDC");
c1.add(lab);

# now show all objects
c1.update();



# export to some image (png,eps,pdf,jpeg...)
# c1.export(Editor.DocMasterName()+".png");

